## org.apache.hadoop.contrib.failmon
Class RunOnce

    java.lang.Object
      org.apache.hadoop.contrib.failmon.RunOnce

    public class RunOnce

extends Object

Runs a set of monitoring jobs once for the local node. The set of jobs to be run is the intersection of the jobs specifed in the configuration file and the set of jobs specified in the --only command line argument.

Constructor Summary
`RunOnce(String confFile)`

Method Summary
`void` `cleanup()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunOnce

    public RunOnce(String confFile)

Method Detail

### cleanup

    public void cleanup()

### main

    public static void main(String[] args)

Copyright © 2009 The Apache Software Foundation